Subject: Failing to push to a repository erases authentication helper credentials

From: Michal Suchánek <[email-masked]>
Date: Mon, 30 Jun 2025 15:45:30 +0200

Hello,

I was trying out AGit https://docs.gitea.com/usage/agit with oauth
helper https://github.com/hickford/git-credential-oauth encountering
this bug https://github.com/go-gitea/gitea/issues/34583

When doing so the oauth helper asked for new authentication, then for
some reason I was asked for authentication by some other helper.

After that pushing to repository to which I have permissions asked for
authentication again.

This hints that any failed git operation erases helper credentials.

That does not sound like a desirable behavior.

Could the previous credentials be preserved?

Thanks

Michal